aboutsummaryrefslogtreecommitdiffstats
path: root/testing/fabric
diff options
context:
space:
mode:
Diffstat (limited to 'testing/fabric')
-rw-r--r--testing/fabric/APKBUILD29
1 files changed, 29 insertions, 0 deletions
diff --git a/testing/fabric/APKBUILD b/testing/fabric/APKBUILD
new file mode 100644
index 0000000000..61f227001a
--- /dev/null
+++ b/testing/fabric/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=fabric
+_pkgname=Fabric
+pkgver=1.2.2
+pkgrel=0
+pkgdesc="A simple pythonic remote deployment tool"
+url="http://www.fabfile.org"
+arch="noarch"
+license="BSD"
+depends="py-paramiko"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/F/$_pkgname/$_pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$_pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="f234678d3886a0b224945281395fdbda Fabric-1.2.2.tar.gz"